/*
 * Copyright 2014 MTA SZTAKI - DSD. All rights reserved.
 * MTA SZTAKI - DSD PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package hu.sztaki.dsd.visionair.a2a3d.agentCommunication.resource;

import hu.sztaki.dsd.visionair.a2a3d.A2A3D;
import hu.sztaki.dsd.visionair.a2a3d.eventSources.EventSource;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <p>Remote management features of the agent.
 *
 * @author Zoltan Toth &lt;<a
 * href="mailto:toth.zoltan@sztaki.mta.hu">toth.zoltan@sztaki.mta.hu</a>&gt; (MTA
 * SZTAKI, <a href="http://dsd.sztaki.hu">DSD</a>)
 */
@Path("/eventSources")
@Produces("application/json;charset=UTF-8")
public class EventSourceResource {

    /**
     * Logger of the class.
     */
    private static Logger logger = LoggerFactory.getLogger(EventSourceResource.class);

    @GET
    @Path("/")
    public Object getEventSourceListResource(
            @Context HttpServletResponse response) {

        logger.debug("getEventSourceListResource is running");
        A2A3D instance = A2A3D.getInstance();
        return instance.getEventSourceMap();
    }

    @GET
    @Path("/{eventSourceId}")
    public EventSource getEventSourceResource(
            @PathParam("eventSourceId") String eventSourceId,
            @Context HttpServletResponse response) {

        logger.debug("getEventSourceResource is running: " + eventSourceId);
        return A2A3D.getInstance().getEventSourceMap().get(eventSourceId);
    }
}
