/*
 * Copyright 2014 MTA SZTAKI - DSD. All rights reserved.
 * MTA SZTAKI - DSD PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package hu.sztaki.dsd.visionair.a2a3d.agentCommunication.resource;

import hu.sztaki.dsd.visionair.a2a3d.A2A3D;
import hu.sztaki.dsd.visionair.a2a3d.agentCommunication.AgentResponseString;
import java.io.ByteArrayInputStream;
import java.io.UnsupportedEncodingException;
import java.util.logging.Level;
import javax.servlet.http.HttpServletResponse;
import javax.ws.rs.*;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MultivaluedMap;
import org.apache.commons.configuration.ConfigurationException;
import org.apache.commons.configuration.SubnodeConfiguration;
import org.apache.commons.configuration.XMLConfiguration;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <p>Remote management features of the agent.
 *
 * @author Zoltan Toth &lt;<a
 * href="mailto:toth.zoltan@sztaki.mta.hu">toth.zoltan@sztaki.mta.hu</a>&gt; (MTA
 * SZTAKI, <a href="http://dsd.sztaki.hu">DSD</a>)
 */
@Path("/service")
@Produces("application/json;charset=UTF-8")
public class ServiceMessage {

    /**
     * Logger of the class.
     */
    private static Logger logger = LoggerFactory.getLogger(ServiceMessage.class);

    /**
     * Returns a test resource to validate the RestEasy installation.
     *
     * @param response HttpServletResponse response.
     * @return AgentResponseString
     */
    @POST
    @Path("/stop")
    public AgentResponseString agentStop(
            @Context HttpServletResponse response) {

        logger.debug("agentStop is running");
        AgentResponseString retval = new AgentResponseString();
        retval.content = "The A2A3D agent is going to stop";
        Thread stopThread = new Thread(new StopThread());
        stopThread.start();
        return retval;
    }

    private class StopThread implements Runnable {

        @Override
        public void run() {
            try {
                Thread.sleep(1000); // wait for 1 seconds
            } catch (InterruptedException ex) {
                logger.debug(ex.toString());
            }
            A2A3D.stop();
        }
    }

}
