/*
 * Copyright 2014 MTA SZTAKI - DSD. All rights reserved.
 * MTA SZTAKI - DSD PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package hu.sztaki.dsd.visionair.a2a3d.eventSources;

import org.apache.commons.configuration.SubnodeConfiguration;

/**
 * <p>Interface of the EventSourceFactory.
 * 
 * @author Zoltan Toth &lt;<a
 * href="mailto:toth.zoltan@sztaki.mta.hu">toth.zoltan@sztaki.mta.hu</a>&gt; (MTA
 * SZTAKI, <a href="http://dsd.sztaki.hu">DSD</a>)
 */
public interface EventSourceFactory {

    /**
     * Returns an instance with the EventSource.
     *
     * @param configurationAt Configuration settings passed via this parameter.
     * @return EventSource
     * @throws hu.sztaki.dsd.visionair.a2a3d.eventSources.NoEventSourceAviableError
     */
    public EventSource getInstance(SubnodeConfiguration configurationAt) throws NoEventSourceAviableError;
}
