/*
 * Copyright 2014 MTA SZTAKI - DSD. All rights reserved.
 * MTA SZTAKI - DSD PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package hu.sztaki.dsd.visionair.a2a3d.eventSources;

import java.util.HashMap;
import org.apache.commons.configuration.SubnodeConfiguration;

/**
 * @author Zoltan Toth &lt;<a
 * href="mailto:toth.zoltan@sztaki.mta.hu">toth.zoltan@sztaki.mta.hu</a>&gt;
 * (MTA SZTAKI, <a href="http://dsd.sztaki.hu">DSD</a>)
 */
public class LogTailEventSource implements EventSourceFactory {

    /**
     * The running instance of the RemoteEventNotifierImpl.
     */
    private HashMap<String, EventSource> logTailerInstances = new HashMap<String, EventSource>();

    @Override
    public EventSource getInstance(SubnodeConfiguration configurationAt) throws NoEventSourceAviableError {
        String tailedFileName = "";

        tailedFileName = configurationAt.getString("parameters.filename");

        EventSource instance = logTailerInstances.get(tailedFileName);
        if (instance == null) {
            instance = new LogTailEventSourceImpl(configurationAt);
            logTailerInstances.put(tailedFileName, instance);
        }
        return instance;
    }
}
