/*
 * Copyright 2014 MTA SZTAKI - DSD. All rights reserved.
 * MTA SZTAKI - DSD PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package hu.sztaki.dsd.visionair.a2a3d.eventSources;

import org.quartz.Job;
import org.quartz.JobDataMap;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <p>A Quartz Job. It is triggered by the QuartzSimpleTimedEventSource.
 *
 *
 * @author Zoltan Toth &lt;<a
 * href="mailto:toth.zoltan@sztaki.mta.hu">toth.zoltan@sztaki.mta.hu</a>&gt; (MTA
 * SZTAKI, <a href="http://dsd.sztaki.hu">DSD</a>)
 */
public class QuartzJob implements Job {

    /**
     * Logger of the class.
     */
    private static Logger logger = LoggerFactory.getLogger(QuartzJob.class);

    /**
     * Its execution is requested by the QuartzSimpleTimedEventSource.
     *
     * @param context Contains information which identifies which QuartzJob
     * instance is to be called
     * @throws org.quartz.JobExecutionException
     */
    @Override
    public void execute(JobExecutionContext context) throws JobExecutionException {
        logger.info("Quartz job is running");
        JobDataMap dataMap = context.getJobDetail().getJobDataMap();

        QuartzSimpleTimedEventSource.trigger(dataMap.getString("Id"));
    }
}
