/*
 * Copyright 2014 MTA SZTAKI - DSD. All rights reserved.
 * MTA SZTAKI - DSD PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package hu.sztaki.dsd.visionair.a2a3d.eventSources;

import org.apache.commons.configuration.SubnodeConfiguration;

/**
 * <p>RemoteEventNotifier event source factory. Instantiates a
 * RemoteEventNotifierImpl EventSource. These EventSources listen and trigger
 * for received remote service messages.
 *
 * @author Zoltan Toth &lt;<a
 * href="mailto:toth.zoltan@sztaki.mta.hu">toth.zoltan@sztaki.mta.hu</a>&gt; (MTA
 * SZTAKI, <a href="http://dsd.sztaki.hu">DSD</a>)
 */
public class RemoteEventNotifier implements EventSourceFactory {

    /**
     * The running instance of the RemoteEventNotifierImpl.
     */
    private EventSource instance = null;

    /**
     * Instantiates a new RemoteEventNotifier.
     */
    public RemoteEventNotifier() {
    }

    /**
     * Returns a new RemoteEventNotifierImpl.
     *
     * @param xmlConfig Not used.
     * @throws NoEventSourceAviableError
     */
    @Override
    public EventSource getInstance(SubnodeConfiguration xmlConfig) throws NoEventSourceAviableError {
        if (instance == null) {
            instance = new RemoteEventNotifierImpl();
        }
        return instance;
    }
}
