/*
 * Copyright 2014 MTA SZTAKI - DSD. All rights reserved.
 * MTA SZTAKI - DSD PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package hu.sztaki.dsd.visionair.a2a3d.eventSources;

import hu.sztaki.dsd.visionair.a2a3d.Event;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * <p>Listens and triggers for received remote service messages.
 *
 *
 * @author Zoltan Toth &lt;<a
 * href="mailto:toth.zoltan@sztaki.mta.hu">toth.zoltan@sztaki.mta.hu</a>&gt; (MTA
 * SZTAKI, <a href="http://dsd.sztaki.hu">DSD</a>)
 */
public class RemoteEventNotifierImpl extends RemoteTriggeredEventSource {

    /**
     * Logger of the class.
     */
    private static Logger logger = LoggerFactory.getLogger(RemoteEventNotifierImpl.class);

    /**
     * Instantiates a new RemoteEventNotifierImpl.
     */
    public RemoteEventNotifierImpl() {
    }

    /**
     * Calling this function the DataCollector queue of the
     * RemoteEventNotifierImpl will be triggered.
     */
    @Override
    public void remoteMessage(String msg) {
        logger.debug("New remote event, notifying queue. (" + msg + ")");
        notifyQueue(new Event("", Event.REMOTE, ""));
    }
}
