/*
 * Copyright 2014 MTA SZTAKI - DSD. All rights reserved.
 * MTA SZTAKI - DSD PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package hu.sztaki.dsd.visionair.a2a3d.eventSources.eventFilters;

import hu.sztaki.dsd.visionair.a2a3d.Event;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * The DenyAllEventFilterImpl class. It is mainly for testing
 * purposes since the class will deny all events.
 * 
 * @author Zoltan Toth &lt;<a
 * href="mailto:toth.zoltan@sztaki.mta.hu">toth.zoltan@sztaki.mta.hu</a>&gt; (MTA
 * SZTAKI, <a href="http://dsd.sztaki.hu">DSD</a>)
 */
public class DenyAllEventFilterImpl extends SimpleEventFilterImpl {

    /**
     * Logger of the class.
     */
    private static Logger logger = LoggerFactory.getLogger(DenyAllEventFilterImpl.class);

    @Override
    public int check(Event event) {
        logger.debug("Deny the event");
        return DENY;
    }
}
