/*
 * Copyright 2014 MTA SZTAKI - DSD. All rights reserved.
 * MTA SZTAKI - DSD PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package hu.sztaki.dsd.visionair.a2a3d.eventSources.eventFilters;

import hu.sztaki.dsd.visionair.a2a3d.Event;
import javax.xml.bind.annotation.XmlElement;

/**
 * The EventFilter interface.
 * 
 * @author Zoltan Toth &lt;<a
 * href="mailto:toth.zoltan@sztaki.mta.hu">toth.zoltan@sztaki.mta.hu</a>&gt; (MTA
 * SZTAKI, <a href="http://dsd.sztaki.hu">DSD</a>)
 */
public interface EventFilter {

    /**
     * Return value for the filters: Accept the event.
     */
    public static int ACCEPT = 1;

    /**
     * Return value for the filters: Deny the event.
     */
    public static int DENY = -1;

    /**
     * Return value for the filters: Do not decide.
     */
    public static int NONE = 0;

    /**
     * This function is called to check the event if it is accepted by the filter.
     * @param event
     * @return
     */
    public int check(Event event);

    /**
     * Init method.
     */
    public void init();
    
    /**
     * Returns the class name for the rest interface.
     * @return class name of the filter.
     */
    @XmlElement(name = "eventFilter")
    public String getClassName();
   
}
