/*
 * Copyright 2014 MTA SZTAKI - DSD. All rights reserved.
 * MTA SZTAKI - DSD PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package hu.sztaki.dsd.visionair.a2a3d.eventSources.eventFilters;

/**
 * <p>
 * This Exception is thrown when a data collector is requested from a
 * {@link DataCollectorFactory}, which is not implemented for the operating
 * system of the user.
 *
 * @author Zoltan Toth &lt;<a
 * href="mailto:toth.zoltan@sztaki.mta.hu">toth.zoltan@sztaki.mta.hu</a>&gt;
 * (MTA SZTAKI, <a href="http://dsd.sztaki.hu">DSD</a>)
 */
public class NoEventFilterAvailableError extends Exception {

    /**
     * Instantiates a new NoEventFilterAvailableError Exception.
     */
    public NoEventFilterAvailableError() {
    }

    /**
     * Instantiates a new NoEventFilterAvailableError Exception with a given
     * message.
     *
     * @param message Text content of the exception.
     */
    public NoEventFilterAvailableError(String message) {
        super(message);
    }
}
