/*
 * Copyright 2014 MTA SZTAKI - DSD. All rights reserved.
 * MTA SZTAKI - DSD PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package hu.sztaki.dsd.visionair.a2a3d.eventSources;

import hu.sztaki.dsd.visionair.a2a3d.A2A3D;
import hu.sztaki.dsd.visionair.a2a3d.Event;
import hu.sztaki.dsd.visionair.a2a3d.localStorage.DataStore;
import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import mockit.FullVerifications;
import mockit.Mock;
import mockit.MockUp;
import mockit.Mocked;
import org.apache.commons.configuration.ConfigurationException;
import org.apache.commons.configuration.SubnodeConfiguration;
import org.apache.commons.configuration.XMLConfiguration;
import org.junit.After;
import org.junit.AfterClass;
import static org.junit.Assert.*;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 *
 * @author Zoltan Toth &lt;<a
 * href="mailto:toth.zoltan@sztaki.mta.hu">toth.zoltan@sztaki.mta.hu</a>&gt;
 * (MTA SZTAKI, <a href="http://dsd.sztaki.hu">DSD</a>)
 */
public class DbWriteEventSourceImplTest {

    public DbWriteEventSourceImplTest() {
    }

    @BeforeClass
    public static void setUpClass() {
    }

    @AfterClass
    public static void tearDownClass() {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }

    /**
     * Test of init method, of class DbWriteEventSourceImpl.
     */
    @Test
    public void testInit() {
        System.out.println("init");

        XMLConfiguration xmlConfig = new XMLConfiguration();
        String xmlConfigString = "        <EventSource>\n"
                + "            <ClassName>hu.sztaki.dsd.visionair.a2a3d.eventSources.DbWriteEventSource</ClassName>\n"
                + "            <Id>DbWriteEventSource1</Id>\n"
                + "            <Description>Stores an event in the local db</Description>\n"
                + "        </EventSource>";
        InputStream stream = null;
        try {
            stream = new ByteArrayInputStream(xmlConfigString.getBytes("UTF-8"));
        } catch (UnsupportedEncodingException ex) {
            fail("UnsupportedEncodingException");
        }
        try {
            xmlConfig.load(stream);
        } catch (ConfigurationException ex) {
            fail("ConfigurationException");
        }
        SubnodeConfiguration sconfig = new SubnodeConfiguration(xmlConfig, xmlConfig.getRoot());
        final DbWriteEventSourceImpl instance = new DbWriteEventSourceImpl(sconfig);

        instance.init();
        instance.destroy();
        fail("The test case is a prototype.");
    }

    /**
     * Test of onHookEvent method, of class DbWriteEventSourceImpl.
     */
    @Test
    public void testOnHookEvent() {
        System.out.println("onHookEvent");
        Event event = null;
        DbWriteEventSourceImpl instance = null;
        instance.onHookEvent(event);
        // TODO review the generated test code and remove the default call to fail.
        fail("The test case is a prototype.");
    }

}
