/*
 * Copyright 2014 MTA SZTAKI - DSD. All rights reserved.
 * MTA SZTAKI - DSD PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package hu.sztaki.dsd.visionair.a2a3d.eventSources.eventFilters;

import hu.sztaki.dsd.visionair.a2a3d.Event;
import java.io.ByteArrayInputStream;
import java.io.InputStream;
import java.io.UnsupportedEncodingException;
import org.apache.commons.configuration.ConfigurationException;
import org.apache.commons.configuration.SubnodeConfiguration;
import org.apache.commons.configuration.XMLConfiguration;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Sac
 */
public class EventTypeEventFilterImplTest {
    
    public EventTypeEventFilterImplTest() {
    }
    
    @BeforeClass
    public static void setUpClass() {
    }
    
    @AfterClass
    public static void tearDownClass() {
    }
    
    @Before
    public void setUp() {
    }
    
    @After
    public void tearDown() {
    }

    /**
     * Test of check method, of class EventTypeEventFilterImpl.
     */
    @Test
    public void testCheck() {
        System.out.println("check");
        
        XMLConfiguration xmlConfig = new XMLConfiguration();
        String xmlConfigString = "        <EventFilter>\n" +
"                        <ClassName>hu.sztaki.dsd.visionair.a2a3d.eventSources.eventFilters.EventTypeEventFilter</ClassName>\n" +
"                        <description>Accepts/denies events based on their types</description>\n" +
"                        <Accept>\n" +
"                            <Type>Accepted1</Type>\n" +
"                            <Type>Accepted2</Type>\n" +
"                        </Accept>\n" +
"                        <Deny>\n" +
"                            <Type>Denied1</Type>\n" +
"                            <Type>Denied2</Type>\n" +
"                        </Deny>\n" +
"                    </EventFilter>";
        InputStream stream = null;
        try {
            stream = new ByteArrayInputStream(xmlConfigString.getBytes("UTF-8"));
        } catch (UnsupportedEncodingException ex) {
            fail("UnsupportedEncodingException");
        }
        try {
            xmlConfig.load(stream);
        } catch (ConfigurationException ex) {
            fail("ConfigurationException");
        }
        SubnodeConfiguration sconfig = new SubnodeConfiguration(xmlConfig, xmlConfig.getRoot());
        
        
        Event eventAccept1 = new Event("", "Accepted1", "");
        Event eventAccept2 = new Event("", "Accepted2", "");
        Event eventDenied1 = new Event("", "Denied1", "");
        Event eventDenied2 = new Event("", "Denied2", "");
        Event eventNone = new Event("", "None", "");
        
        EventTypeEventFilterImpl instance = new EventTypeEventFilterImpl(sconfig);
        assertEquals(EventFilter.ACCEPT, instance.check(eventAccept1));
        assertEquals(EventFilter.ACCEPT, instance.check(eventAccept2));
        assertEquals(EventFilter.DENY, instance.check(eventDenied1));
        assertEquals(EventFilter.DENY, instance.check(eventDenied2));
        assertEquals(EventFilter.NONE, instance.check(eventNone));
    }
    
}
