/*
 * Copyright 2014 MTA SZTAKI - DSD. All rights reserved.
 * MTA SZTAKI - DSD PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */
package hu.sztaki.dsd.visionair.a2a3d.localStorage;

import hu.sztaki.dsd.visionair.a2a3d.Event;
import java.sql.SQLException;
import java.util.ArrayList;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Zoltan Toth &lt;<a
 * href="mailto:toth.zoltan@sztaki.mta.hu">toth.zoltan@sztaki.mta.hu</a>&gt;
 * (MTA SZTAKI, <a href="http://dsd.sztaki.hu">DSD</a>)
 */
public class DataStoreTest {

    public DataStoreTest() {
    }

    @BeforeClass
    public static void setUpClass() {
    }

    @AfterClass
    public static void tearDownClass() {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }

    /**
     * Test of close method, of class DataStore.
     */
    @Test
    public void testClose() {
        System.out.println("close");
        DataStore instance = new DataStore();
        assertFalse(instance.isClosed());
        instance.close();
        assertTrue(instance.isClosed());
    }

    /**
     * Test of deleteEvent method, of class DataStore.
     */
    @Test
    public void testDeleteEvent() throws Exception {
        System.out.println("deleteEvent");
        try {
            DataStore instance = new DataStore();
            ArrayList<Event> result = instance.getEvents();
            assertEquals(0, result.size());
            Event newEvent = new Event();
            instance.storeEvent(newEvent);
            result = instance.getEvents();
            assertEquals(1, result.size());
            instance.deleteEvent(newEvent);
            result = instance.getEvents();
            assertEquals(0, result.size());
            instance.close();
        } catch (SQLException ex) {
            fail("SQL error");
        }
    }

    /**
     * Test of getEvents method, of class DataStore.
     */
    @Test
    public void testGetEvents() {
        System.out.println("getEvents");
        try {
            DataStore instance = new DataStore();
            ArrayList<Event> result = instance.getEvents();
            assertEquals(0, result.size());
            Event newEvent = new Event();
            instance.storeEvent(newEvent);
            result = instance.getEvents();
            assertEquals(1, result.size());
            assertEquals(newEvent.getLocalDbId(), result.get(0).getLocalDbId());
            instance.close();
        } catch (SQLException ex) {
            fail("SQL error");
        }
    }

    /**
     * Test of storeEvent method, of class DataStore.
     */
    @Test
    public void testStoreEvent() {
        System.out.println("storeEvent");
        try {
            DataStore instance = new DataStore();
            ArrayList<Event> result = instance.getEvents();
            assertEquals(0, result.size());
            Event newEvent = null;
            for (int i = 0; i < 1000; i++) {
                newEvent = new Event();
                instance.storeEvent(newEvent);
            }
            result = instance.getEvents();
            assertEquals(1000, result.size());
            assertEquals(newEvent.getLocalDbId(), result.get(999).getLocalDbId());
            instance.close();
        } catch (SQLException ex) {
            fail("SQL error");
        }
    }

    /**
     * Test of close method, of class DataStore.
     */
    @Test
    public void testIsClosd() {
        System.out.println("isClosed");
        System.out.println("tested in close");
    }

}
