/*
 * Copyright (c) 2006-2013 Rogério Liesenfeld
 * This file is subject to the terms of the MIT license (see LICENSE.txt).
 */
package mockit.internal.expectations.argumentMatching;

import org.jetbrains.annotations.*;

public final class SamenessMatcher implements ArgumentMatcher
{
   @Nullable private final Object object;

   public SamenessMatcher(@Nullable Object object) { this.object = object; }

   public boolean matches(@Nullable Object argValue) { return argValue == object; }

   public void writeMismatchPhrase(@NotNull ArgumentMismatch argumentMismatch)
   {
      argumentMismatch.append("same instance as ").appendFormatted(object);
   }
}
