/*
 * Copyright (c) 2006-2013 Rogério Liesenfeld
 * This file is subject to the terms of the MIT license (see LICENSE.txt).
 */
package mockit.internal.expectations.invocation;

import org.jetbrains.annotations.*;

import mockit.internal.util.*;

public final class InvocationHandlerResult extends DynamicInvocationResult
{
   public InvocationHandlerResult(@NotNull Object handler)
   {
      super(handler, MethodReflection.findNonPrivateHandlerMethod(handler));
   }

   @Override
   public Object produceResult(
      @Nullable Object invokedObject, @NotNull ExpectedInvocation invocation,
      @NotNull InvocationConstraints constraints, @NotNull Object[] args)
   {
      Object result = invokeMethodOnTargetObject(invokedObject, invocation, constraints, args);

      if (Boolean.FALSE.equals(result)) {
         String message = '"' + methodToInvoke.getName() + "\" failed on invocation to" + invocation.toString(args);
         throw new AssertionError(message);
      }

      return result;
   }
}